> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/playerauctions/restapi/endpoints/get/getauctioncategorybyname.md).

# /api/playerauctions/getAuctionCategoryByName/{categoryname}

* **Parameters:**
  * `categoryname`: The name of the category to retrieve.
* **Response:**

  The response will return a JSON object with the following structure:

  ```json
  {
    "minPrice" : -1.0,
    "maxPrice" : -1.0,
    "all" : true,
    "icon" : {
      "type" : "BOOK",
      "meta" : {
        "display-name" : "{\"text\":\"\",\"extra\":[{\"text\":\"All Auctions\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
        "lore" : [ "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"yellow\"},{\"text\":\" to view all the auctions.\",\"color\":\"aqua\"}],\"italic\":false}" ],
        "PublicBukkitValues" : "{\n    \"playerauctions:itemtag_item\": \"1\"\n}"
      }
    },
    "name" : "all",
    "displayName" : "All"
  }
  ```

**Fields:**

* **minPrice** (Number): The minimum price for the category.
* **maxPrice** (Number): The maximum price for the category.
* **all** (Boolean): Indicates if this category includes all items.
* **icon** (Object): The icon details for the category.
  * **type** (String): The type of the icon (e.g., BOOK).
  * **meta** (Object): Metadata for the icon.
    * **display-name** (String): The JSON string representation of the display name.
    * **lore** (Array of Strings): Lore text to describe the icon.
    * **PublicBukkitValues** (String): A JSON string containing custom metadata for Bukkit.
* **name** (String): The unique identifier for the category.
* **displayName** (String): The display name of the category.

**Note:**

* [**Authentication**](/projects/playerauctions/restapi.md#authentication) is required to access this endpoint.
* Based on server settings, you may not be able to access auction information if you do not own the auction.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.olziedev.com/projects/playerauctions/restapi/endpoints/get/getauctioncategorybyname.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
